
Redmine - Patch #2506

Trac importer duplicates tickets custom field values

2009-01-14 09:45 - Jm Delehaye

Status: Closed Start date: 2009-01-14

Priority: Normal Due date:  

Assignee:  % Done: 50%

Category: Importers Estimated time: 0.00 hour

Target version: 0.8.1   

Description

Trac importer makes doubles in issues custom field values.

Trac importer :

creates a line in custom_values table with a NULL value when creating issue

creates another line in custom_values table when parsing Trac custom values.

It should create/update only 1 line.

NB : I use MySQL InnoDB.

This patch is a workaround, but needs improvement.

Associated revisions

Revision 2280 - 2009-01-18 12:54 - Jean-Philippe Lang

Fixed that Trac importer was creating duplicate custom values (#2506).

Revision 2307 - 2009-01-24 13:11 - Jean-Philippe Lang

Merged r2280 from trunk (#2506).

History

#1 - 2009-01-18 12:51 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.1

This is fixed in r2280. Thanks for pointing this out.

#2 - 2009-01-24 13:07 - Jean-Philippe Lang

- Status changed from Resolved to Closed
